<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>3.1.1</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.kym</groupId>
    <artifactId>charge</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <packaging>pom</packaging>
    <name>charge</name>
    <description>charge-admin</description>
    <modules>
        <module>admin</module>
        <module>entity</module>
        <module>common</module>
        <module>miniapp</module>
        <module>service</module>
        <module>mapper</module>
    </modules>
    <properties>
        <java.version>17</java.version>

        <spring-boot.version>${project.parent.version}</spring-boot.version>
        <project.version>0.0.1-SNAPSHOT</project.version>
        <mybatis-plus-boot-starter.version>3.5.3.2</mybatis-plus-boot-starter.version>
        <mybatis-plus-generator.version>3.5.3.2</mybatis-plus-generator.version>
        <mybatis-plus-join-boot-starter.version>1.5.2</mybatis-plus-join-boot-starter.version>
        <wechatpay.version>0.2.11</wechatpay.version>
        <jackson-datatype-jsr310.version>2.13.4</jackson-datatype-jsr310.version>
        <fastjson2.version>2.0.35</fastjson2.version>
        <pagehelper-spring-boot-starter.version>1.4.7</pagehelper-spring-boot-starter.version>
        <freemarker.version>2.3.32</freemarker.version>
        <dynamic-datasource-spring-boot3-starter.version>4.1.3</dynamic-datasource-spring-boot3-starter.version>
        <druid-spring-boot-starter.version>1.2.20</druid-spring-boot-starter.version>
        <poi-ooxml.version>5.2.3</poi-ooxml.version>
        <javax.mail.version>1.6.2</javax.mail.version>
        <weixin-java.version>4.7.0</weixin-java.version>
        <hutool.version>5.8.21</hutool.version>
        <okhttp.version>4.11.0</okhttp.version>
        <sa-token.version>1.38.0</sa-token.version>
        <jakarta.servlet-api.version>6.0.0</jakarta.servlet-api.version>
        <gson.version>2.10.1</gson.version>
        <jwt.version>4.4.0</jwt.version>
        <jjwt-api.version>0.11.5</jjwt-api.version>
        <geodesy.version.version>1.1.3</geodesy.version.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>


    </dependencies>

    <repositories>
        <repository>
            <id>aliyun</id>
            <url>https://maven.aliyun.com/repository/central/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-maven-plugin</artifactId>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>


</project>
